cmake_minimum_required(VERSION 3.10)

project(libraries_tests)

option(ELCORE50_CL_BUILD "Build with ElcoreCL" OFF)
if(${ELCORE50_CL_BUILD})
    find_package(ElcoreRuntime REQUIRED)
endif()

include_directories(argparser/)
add_library(tests-argparser argparser/argparser.c)

if(elcore50-dsplib_DIR OR BUILD_DSPLIB)
    add_subdirectory(dsplib)
endif()
if(elcore50-matrix-lib_DIR OR BUILD_MATRIX_LIB)
    add_subdirectory(matrix-lib)
endif()
if(elcore50-signal-lib_DIR OR BUILD_SIGNAL_LIB)
    add_subdirectory(signal-lib)
    add_subdirectory(signal-lib-examples)
endif()
